#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "emainwindow.h"
#include "ui_mainwindow.h"


class MainWindow
	: public EMainWindow
	, private Ui::MainWindow {
	Q_OBJECT

public:
	MainWindow(QWidget * parent = 0);
	~MainWindow();

protected:
	void changeEvent(QEvent * e) override;
	void loadingSession(QPIConfig & conf) override;
	void savingSession(QPIConfig & conf) override;

private slots:
	void on_map_mapClicked(QPointF c);
	void on_buttonDownload_clicked();
};

#endif
